> ## Documentation Index > Fetch the complete documentation index at: https://docs.graphiant.com/llms.txt > Use this file to discover all available pages before exploring further. # /v1/devices/{deviceId}/circuits/vrf-associations > Get the VRF, interface, &, if relevant, loopback interfaces for a list of circuits ## OpenAPI ````json GET /v1/devices/{deviceId}/circuits/vrf-associations { "openapi": "3.0.0", "info": { "title": "Graphiant APIs", "version": "1.0.0", "description": "Graphiant API documentation." }, "servers": [ { "url": "https://api.graphiant.com" } ], "security": [ { "jwtAuth": [] } ], "tags": [], "paths": { "/v1/devices/{deviceId}/circuits/vrf-associations": { "get": { "security": [ { "jwtAuth": [] } ], "parameters": [ { "in": "header", "name": "Authorization", "required": true, "schema": { "type": "string" }, "description": "Bearer token. Format: Bearer " }, { "name": "deviceId", "in": "path", "required": true, "description": "", "schema": { "type": "integer", "format": "int64", "example": 1234567891011 } }, { "name": "circuitNames", "in": "query", "description": "Circuit name configured of wan interface", "required": false, "schema": { "type": "array", "items": { "type": "string", "example": "isp" }, "example": [ "isp" ] }, "style": "deepObject", "explode": true } ], "responses": { "200": { "description": "OK", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/v1DevicesDeviceIdCircuitsVrfAssociationsGetResponse" } } } } }, "description": "Get the VRF, interface, &, if relevant, loopback interfaces for a list of circuits" } } }, "components": { "schemas": { "v1DevicesDeviceIdCircuitsVrfAssociationsGetResponse": { "type": "object", "properties": { "vrfAssociations": { "type": "object", "additionalProperties": { "$ref": "#/components/schemas/v1DevicesDeviceIdCircuitsVrfAssociationsGetResponseVrfAssociations" } } }, "additionalProperties": false }, "v1DevicesDeviceIdCircuitsVrfAssociationsGetResponseVrfAssociations": { "type": "object", "properties": { "interfaceName": { "type": "string", "example": "example string" }, "loopbackInterfaceName": { "type": "string", "example": "example string" }, "vrfName": { "type": "string", "example": "example string" } }, "additionalProperties": false } }, "securitySchemes": { "jwtAuth": { "type": "apiKey", "in": "header", "name": "authorization", "description": "Use `Bearer `" } } } } ````